وردپرس

آموزش هماهنگ سازی قالب با ووکامرس

Rate this post

در هر بار آپدیت ووکامرس که صورت میگیره مطمئنا حداقل برای یک بار هم که شده برای شما این مشکل پیش اومده که با خطایی مبنی بر پوسته شما دارای الگوهای قدیمی ووکامرس میباشد یا قالب شما از چند فایل ووکامرس قدیمی استفاده میکند مواجه خواهید شد که علت این موضوع به خاطر هماهنگ نبودن فایل‌های ووکامرس در قالب با افزونه ووکامرس هست.

در این آموزش از پایگاه دانش پدینا قصد دارم به نحوه هماهنگ سازی قالب با ووکامرس و رفع خطای الگوهای قدیمی در افزونه ووکامرس بپردازم که با استفاده از این آموزش میتونید آموزش چگونگی بروزرسانی الگوهای قدیمی ووکامرس را یاد بگیرید. پس اگر شما هم بعد از آپدیت ووکامرس با این خطا مواجه شدین تا انتهای آموزش همراه ما باشید.

آموزش هماهنگ سازی قالب با ووکامرس

قبل از اینکه به نحوه رفع خطای الگوی قدیمی ووکامرس و رفع خطای پوسته شما دارای فایل های الگوی قدیمی ووکامرس می باشد، بپردازم لازمه که با نحوه همگام سازی قالب با ووکامرس آشنا بشید. اگر افزونه ووکامرس رو دانلود کرده باشید و داخل پوشه‌های اونو بررسی کرده باشید پوشه‌ای داخل افزونه با عنوان templates قرار داره که شامل فایل‌هایی هست که مسئول هماهنگ سازی قالب با ووکامرس هستند. حالا اگه قالب سایتتون که با ووکامرس هماهنگ هست و از ووکامرس پشتیبانی میکنه رو هم بررسی کنید پوشه‌ای با نام woocommerce داخل پوشه قالب قرار داره که در این پوشه هم فایل‌های موجود در پوشه templates افزونه قرار داشتند وجود داره. حالا وقتی شما افزونه ووکامرس رو آپدیت می‌کنید این فایل‌ها به‌روزرسانی میشن و از اونجایی که مدتی طول میکشه تا سازنده قالب، کار بروزرسانی و هماهنگ سازی قالب با ووکامرس رو انجام بده به همین خاطر بعد از آپدیت ووکامرس با خطای پوسته شما دارای الگوهای قدیمی ووکامرس میباشد مواجه خواهید شد.

پس کاری که باید بکنید این هست که فایل‌هایی که داخل پوشه templates افزونه ووکامرس قرار داره رو جایگزین فایل‌های موجود داخل پوشه woocommerce قالب بکنید. بعد از جایگزین کردن فایل‌ها مشکل برطرف خواهد شد.

قبل از انجام هر کاری برای جایگزینی فایل‌های داخل پوشه‌های templates و woocommerce دقت داشته باشید که حتما یک نسخه کپی از این دو پوشه تهیه کنید. به دلیل اینکه این روش همیشه جوابگو نیست حتما باید یک نسخه پشتیبان از این دو پوشه تهیه کنید تا در صورتی که خطایی رخ داد بتونید با جایگزین کردن فایل‌ها مشکل رو برطرف کرده و به جای اینکه برای رفع مشکل اقدام کنید، مشکلات به وجود اومده رو بیشتر از اینی که هست نکنید. نکته بعدی هم که باید بهش توجه داشته باشید اینه که حتما اقدام به تهیه فول بک آپ از هاست خودتون بکنید یا اینکه با استفاده از آموزش تهیه نسخه پشتیبان از وردپرس یک نسخه بک آپ از دیتابیس و فایل‌های وردپرس تهیه کنید.

برای انجام هر کاری هم به این چند نکته دقت داشته باشید:

  • هر فایلی که نیازمند بروزرسانی هست رو به صورت تک تک انجام بدین و از جایگزین کردن کل محتوای پوشه‌ها دوری کنید.
  • در هر بار جایگزینی فایل‌ها دفت کنید که سایت رو با استفاده از دکمه‌های CTRL + F5 چندین بار رفرش کرده و بررسی کنید که مشکلی به وجود نیومده باشه.

حالا در ادامه برای اینکه هر فایل را آپدیت کنید به روش زیر عمل کنید. ابتدا به منوی ووکامرس> وضعیت رفته و به انتهای صفحه اسکرول کنید. همونطور که در تصویر زیر و در بخش قالب‌ها می‌بینید فایل‌هایی که از الگوی قدیمی استفاده می‌کنند با رنگ قرمز مشخص شده‌اند.

old-theme-woocommerce

در اینجا من از قالب صحیفه استفاده کردم که دو فایل در حال حاضر از نسخه قدیمی ووکامرس در این قالب قرار دارند که خطا به صورت زیر نمایش داده شده است.

برای رفع خطا باید فایل‌های wrapper-end.php و wrapper-start.php که داخل ووکامرس قرار داره رو بردارم و با فایل‌های ووکامرس که داخل قالب هست جایگزین کنم تا مشکل پوسته شما (Sahifa) دارای فایل های الگوی قدیمی ووکامرس می باشد برطرف شده و کار هماهنگ سازی قالب با ووکامرس انجام بگیره. بنابراین وارد هاست شده و روی گزینه File Manager کلیک کنید.

file-manager-cpanel

سپس به مسیر public_html/wp-content/plugins/woocommerce/templates در هاست مراجعه کنید و داخل پوشه templates به دنبال فایل‌هایی که در بخش وضعیت سیستم به عنوان الگوی قدیمی ووکامرس نشون داده شدن بگردید. در این مثال فایل‌های من wrapper-end.php و wrapper-start.php هستند که توی پوشه global ووکامرس قرار دارند. پس وارد مسیر public_html/wp-content/plugins/woocommerce/templates/global میشم و دو فایل رو دانلود می‌کنم.

سپس به مسیر public_html/wp-content/themes/sahifa/woocommerce که مربوط به پوشه ووکامرس قالب صحیفه هست میشم. در این مسیر هم پوشه‌ای با نام Global قرار داره که حاوی دو فایل wrapper-end.php و wrapper-start.php هست. حالا باید این دو فایل رو که در پوشه templates قرار داشت و قبلا دانلود کردم رو جایگزین در این مسیر بکنم. بعد از جایگزین کردن این دو فایل به احتمال خیلی زیاد مشکلتون برطرف شده و خطای الگوی قدیمی ووکامرس برطرف خواهد شد.

هماهنگ سازی قالب با ووکامرس و نحوه همگام سازی قالب با ووکامرس

حالا همونطور که میبینید خطا برطرف شده و پیغامی که قبلا به صورت الگوی قدیمی ووکامرس بود به صورت نادیدیه گرفته شده در میاد و خطایی در اون هم مشاهده نمیشه.

امیدوارم که این آموزش هم مورد توجه و پسند شما قرار گرفته باشه و با استفاده از اون تونسته باشید اقدام به هماهنگ سازی ووکامرس با قالب کرده و خطای الگوی قدیمی ووکامرس را در قالب وردپرس برطرف کنید. در صورتی که در رابطه با این آموزش و نحوه همگام سازی قالب با ووکامرس سوال یا مشکلی داشتید در بخش دیدگاه‌ها مطرح کنید تا در کوتاه‌ترین زمان ممکن پاسخگوی شما باشم.

 

 

خرید هاست سی پنل حرفه ای خارج
خرید هاست سی پنل حرفه ای ایران

خرید هاست لینوکس
نمایش بیشتر

نوشته های مشابه

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

بستن